Bug 416288

Summary: KMail crashes on address autocomplete lookup
Product: [Applications] kmail2 Reporter: Aaron Williams <aaronw>
Component: generalAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED WORKSFORME    
Severity: crash CC: wbauer
Priority: NOR Keywords: drkonqi
Version: unspecified   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In:

Description Aaron Williams 2020-01-15 12:06:36 UTC
Application: kmail (5.13.1 (19.12.1))

Qt Version: 5.14.0
Frameworks Version: 5.66.0
Operating System: Linux 4.12.14-lp151.28.36-default x86_64
Distribution: "openSUSE Leap 15.1"

-- Information about the crash:
Every time I type in an email address into KMail to send or reply to an email it crashes when it attempts to autocomplete the address. I have tried deleting all of the entries in the composer settings yet it still crashes. If I type the complete email address elsewhere and copy and paste it then it works fine. I cannot figure out where KMail stores these email addresses (I performed a grep on .local/share and .cache and found nothing). It does this on two separate computers (which have access to the same emails).

The crash can be reproduced every time.

-- Backtrace:
Application: KMail (kmail), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
29	  return SYSCALL_CANCEL (poll, fds, nfds, timeout);
[Current thread is 1 (Thread 0x7f4e810fca00 (LWP 130450))]

Thread 22 (Thread 0x7f4e157fa700 (LWP 85064)):
#0  0x00007f4e736d8bdb in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f4e157f98c0, expected=0, futex_word=0x7f4e157f9a88) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f4e736d8bdb in __pthread_cond_wait_common (abstime=0x7f4e157f9960, mutex=0x7f4e157f9a38, cond=0x7f4e157f9a60) at pthread_cond_wait.c:533
#2  0x00007f4e736d8bdb in __pthread_cond_timedwait (cond=0x7f4e157f9a60, mutex=0x7f4e157f9a38, abstime=0x7f4e157f9960) at pthread_cond_wait.c:667
#3  0x00007f4e67fa86a6 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:127
#4  0x00007f4e67fa9038 in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:233
#5  0x00007f4e67fa91b2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:162
#6  0x00007f4e67f64c81 in base::internal::WorkerThread::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task/thread_pool/worker_thread.cc:35
#7  0x00007f4e67f69073 in base::internal::WorkerThread::RunWorker() () at ./../../3rdparty/chromium/base/task/thread_pool/worker_thread.cc:297
#8  0x00007f4e67f69554 in base::internal::WorkerThread::RunPooledWorker() () at ./../../3rdparty/chromium/base/task/thread_pool/worker_thread.cc:223
#9  0x00007f4e67fab1e5 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#10 0x00007f4e736d2569 in start_thread (arg=0x7f4e157fa700) at pthread_create.c:465
#11 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7f4dbe374700 (LWP 130975)):
#0  0x00007f4e7dff919b in __GI___poll (fds=0x7f4db0004600, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f4e713021a9 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f4db0004600, timeout=<optimized out>, context=0x7f4db0000bd0) at gmain.c:4169
#2  0x00007f4e713021a9 in g_main_context_iterate (context=context@entry=0x7f4db0000bd0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3863
#3  0x00007f4e713022bc in g_main_context_iteration (context=0x7f4db0000bd0, may_block=may_block@entry=1) at gmain.c:3929
#4  0x00007f4e7e95ba3b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4db0000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f4e7e8fb03a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4dbe373bb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007f4e7e70c467 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#7  0x00007f4e7e70d93c in QThreadPrivate::start(void*) (arg=0x562ae0423fb0) at thread/qthread_unix.cpp:342
#8  0x00007f4e736d2569 in start_thread (arg=0x7f4dbe374700) at pthread_create.c:465
#9  0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7f4dbfbff700 (LWP 130685)):
#0  0x00007f4e736d88ad in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f4dbfbfea98) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4e736d88ad in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f4dbfbfea48, cond=0x7f4dbfbfea70) at pthread_cond_wait.c:502
#2  0x00007f4e736d88ad in __pthread_cond_wait (cond=0x7f4dbfbfea70, mutex=0x7f4dbfbfea48) at pthread_cond_wait.c:655
#3  0x00007f4e67fa85ba in base::ConditionVariable::Wait() () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:75
#4  0x00007f4e67fa905c in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:235
#5  0x00007f4e67fa916f in base::WaitableEvent::Wait() () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:155
#6  0x00007f4e67f64c98 in base::internal::WorkerThread::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task/thread_pool/worker_thread.cc:33
#7  0x00007f4e67f69259 in base::internal::WorkerThread::RunWorker() () at ./../../3rdparty/chromium/base/task/thread_pool/worker_thread.cc:317
#8  0x00007f4e67f69594 in base::internal::WorkerThread::RunSharedWorker() () at ./../../3rdparty/chromium/base/task/thread_pool/worker_thread.cc:235
#9  0x00007f4e67fab1e5 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#10 0x00007f4e736d2569 in start_thread (arg=0x7f4dbfbff700) at pthread_create.c:465
#11 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7f4dcbfff700 (LWP 130660)):
#0  0x00007f4e7dffe269 in syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f4e7e70fe94 in QtLinuxFutex::_q_futex(int*, int, int, unsigned long long, int*, int) (val3=0, addr2=0x0, val2=0, val=<optimized out>, op=0, addr=<optimized out>) at thread/qfutex_p.h:116
#2  0x00007f4e7e70fe94 in QtLinuxFutex::futexWait<QBasicAtomicInteger<unsigned int> >(QBasicAtomicInteger<unsigned int>&, QBasicAtomicInteger<unsigned int>::Type) (expectedValue=<optimized out>, futex=...) at thread/qfutex_p.h:135
#3  0x00007f4e7e70fe94 in futexSemaphoreTryAcquire_loop<false>(QBasicAtomicInteger<unsigned long long>&, unsigned long long, unsigned long long, int) (timeout=-1, nn=8589934593, curValue=<optimized out>, u=...) at thread/qsemaphore.cpp:219
#4  0x00007f4e7e70fe94 in futexSemaphoreTryAcquire<false>(QBasicAtomicInteger<unsigned long long>&, int, int) (timeout=-1, n=<optimized out>, u=...) at thread/qsemaphore.cpp:262
#5  0x00007f4e7e70fe94 in QSemaphore::acquire(int) (this=0x7f4e74f455a0, n=<optimized out>) at thread/qsemaphore.cpp:326
#6  0x00007f4e74c81f74 in  () at /usr/lib64/libQt5Network.so.5
#7  0x00007f4e7e70d93c in QThreadPrivate::start(void*) (arg=0x7f4e74f45580) at thread/qthread_unix.cpp:342
#8  0x00007f4e736d2569 in start_thread (arg=0x7f4dcbfff700) at pthread_create.c:465
#9  0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f4df0bf7700 (LWP 130659)):
#0  0x00007f4e7dff919b in __GI___poll (fds=0x7f4dc4004e30, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f4e713021a9 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f4dc4004e30, timeout=<optimized out>, context=0x7f4dc4000bd0) at gmain.c:4169
#2  0x00007f4e713021a9 in g_main_context_iterate (context=context@entry=0x7f4dc4000bd0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3863
#3  0x00007f4e713022bc in g_main_context_iteration (context=0x7f4dc4000bd0, may_block=may_block@entry=1) at gmain.c:3929
#4  0x00007f4e7e95ba3b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4dc4000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f4e7e8fb03a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4df0bf6bb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007f4e7e70c467 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#7  0x00007f4e7e70d93c in QThreadPrivate::start(void*) (arg=0x562ade79e030) at thread/qthread_unix.cpp:342
#8  0x00007f4e736d2569 in start_thread (arg=0x7f4df0bf7700) at pthread_create.c:465
#9  0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f4df2bc5700 (LWP 130611)):
#0  0x00007f4e736d88ad in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f4df2bc49b8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4e736d88ad in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f4df2bc4968, cond=0x7f4df2bc4990) at pthread_cond_wait.c:502
#2  0x00007f4e736d88ad in __pthread_cond_wait (cond=0x7f4df2bc4990, mutex=0x7f4df2bc4968) at pthread_cond_wait.c:655
#3  0x00007f4e67fa85ba in base::ConditionVariable::Wait() () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:75
#4  0x00007f4e67fa905c in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:235
#5  0x00007f4e67fa916f in base::WaitableEvent::Wait() () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:155
#6  0x00007f4e67f139f8 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at ./../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#7  0x00007f4e67f53e49 in base::sequence_manager::internal::ThreadControllerWithMessagePumpImpl::Run(bool, base::TimeDelta) () at ./../../3rdparty/chromium/base/task/sequence_manager/thread_controller_with_message_pump_impl.cc:463
#8  0x00007f4e67f33a38 in base::RunLoop::RunWithTimeout(base::TimeDelta) () at ./../../3rdparty/chromium/base/run_loop.cc:157
#9  0x00007f4e67f735a6 in base::Thread::Run(base::RunLoop*) () at ./../../3rdparty/chromium/base/threading/thread.cc:242
#10 0x00007f4e67f735a6 in base::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/threading/thread.cc:312
#11 0x00007f4e67fab1e5 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#12 0x00007f4e736d2569 in start_thread (arg=0x7f4df2bc5700) at pthread_create.c:465
#13 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f4df33c6700 (LWP 130597)):
#0  0x00007f4e736d88ad in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f4df33c5a98) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4e736d88ad in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f4df33c5a48, cond=0x7f4df33c5a70) at pthread_cond_wait.c:502
#2  0x00007f4e736d88ad in __pthread_cond_wait (cond=0x7f4df33c5a70, mutex=0x7f4df33c5a48) at pthread_cond_wait.c:655
#3  0x00007f4e67fa85ba in base::ConditionVariable::Wait() () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:75
#4  0x00007f4e67fa905c in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:235
#5  0x00007f4e67fa916f in base::WaitableEvent::Wait() () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:155
#6  0x00007f4e67f64c98 in base::internal::WorkerThread::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task/thread_pool/worker_thread.cc:33
#7  0x00007f4e67f69259 in base::internal::WorkerThread::RunWorker() () at ./../../3rdparty/chromium/base/task/thread_pool/worker_thread.cc:317
#8  0x00007f4e67f695d4 in base::internal::WorkerThread::RunDedicatedWorker() () at ./../../3rdparty/chromium/base/task/thread_pool/worker_thread.cc:247
#9  0x00007f4e67fab1e5 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#10 0x00007f4e736d2569 in start_thread (arg=0x7f4df33c6700) at pthread_create.c:465
#11 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f4df97fa700 (LWP 130588)):
#0  0x00007f4e7e003b56 in __GI_epoll_pwait (epfd=69, events=events@entry=0x7f4dd8002000, maxevents=32, timeout=timeout@entry=0, set=set@entry=0x0) at ../sysdeps/unix/sysv/linux/epoll_pwait.c:42
#1  0x00007f4e7e003cd8 in epoll_wait (epfd=<optimized out>, events=events@entry=0x7f4dd8002000, maxevents=<optimized out>, timeout=timeout@entry=0) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#2  0x00007f4e5db71915 in epoll_dispatch (base=0x7f4dd8001d40, tv=<optimized out>) at epoll.c:462
#3  0x00007f4e5db67764 in event_base_loop (base=0x7f4dd8001d40, flags=2) at event.c:1947
#4  0x00007f4e67faffeb in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at ./../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:213
#5  0x00007f4e67f53e49 in base::sequence_manager::internal::ThreadControllerWithMessagePumpImpl::Run(bool, base::TimeDelta) () at ./../../3rdparty/chromium/base/task/sequence_manager/thread_controller_with_message_pump_impl.cc:463
#6  0x00007f4e67f33a38 in base::RunLoop::RunWithTimeout(base::TimeDelta) () at ./../../3rdparty/chromium/base/run_loop.cc:157
#7  0x00007f4e67f735a6 in base::Thread::Run(base::RunLoop*) () at ./../../3rdparty/chromium/base/threading/thread.cc:242
#8  0x00007f4e67f735a6 in base::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/threading/thread.cc:312
#9  0x00007f4e67fab1e5 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#10 0x00007f4e736d2569 in start_thread (arg=0x7f4df97fa700) at pthread_create.c:465
#11 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f4df9ffb700 (LWP 130587)):
#0  0x00007f4e736d8bdb in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f4df9ffa7e0, expected=0, futex_word=0x7f4df9ffa9a8) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f4e736d8bdb in __pthread_cond_wait_common (abstime=0x7f4df9ffa880, mutex=0x7f4df9ffa958, cond=0x7f4df9ffa980) at pthread_cond_wait.c:533
#2  0x00007f4e736d8bdb in __pthread_cond_timedwait (cond=0x7f4df9ffa980, mutex=0x7f4df9ffa958, abstime=0x7f4df9ffa880) at pthread_cond_wait.c:667
#3  0x00007f4e67fa86a6 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:127
#4  0x00007f4e67fa9038 in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:233
#5  0x00007f4e67fa91b2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:162
#6  0x00007f4e67f139cb in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at ./../../3rdparty/chromium/base/message_loop/message_pump_default.cc:57
#7  0x00007f4e67f53e49 in base::sequence_manager::internal::ThreadControllerWithMessagePumpImpl::Run(bool, base::TimeDelta) () at ./../../3rdparty/chromium/base/task/sequence_manager/thread_controller_with_message_pump_impl.cc:463
#8  0x00007f4e67f33a38 in base::RunLoop::RunWithTimeout(base::TimeDelta) () at ./../../3rdparty/chromium/base/run_loop.cc:157
#9  0x00007f4e67f735a6 in base::Thread::Run(base::RunLoop*) () at ./../../3rdparty/chromium/base/threading/thread.cc:242
#10 0x00007f4e67f735a6 in base::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/threading/thread.cc:312
#11 0x00007f4e67fab1e5 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#12 0x00007f4e736d2569 in start_thread (arg=0x7f4df9ffb700) at pthread_create.c:465
#13 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f4dfa7fc700 (LWP 130586)):
#0  0x00007f4e736d88ad in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f4dfa7fb9b8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4e736d88ad in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f4dfa7fb968, cond=0x7f4dfa7fb990) at pthread_cond_wait.c:502
#2  0x00007f4e736d88ad in __pthread_cond_wait (cond=0x7f4dfa7fb990, mutex=0x7f4dfa7fb968) at pthread_cond_wait.c:655
#3  0x00007f4e67fa85ba in base::ConditionVariable::Wait() () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:75
#4  0x00007f4e67fa905c in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:235
#5  0x00007f4e67fa916f in base::WaitableEvent::Wait() () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:155
#6  0x00007f4e67f139f8 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at ./../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#7  0x00007f4e67f53e49 in base::sequence_manager::internal::ThreadControllerWithMessagePumpImpl::Run(bool, base::TimeDelta) () at ./../../3rdparty/chromium/base/task/sequence_manager/thread_controller_with_message_pump_impl.cc:463
#8  0x00007f4e67f33a38 in base::RunLoop::RunWithTimeout(base::TimeDelta) () at ./../../3rdparty/chromium/base/run_loop.cc:157
#9  0x00007f4e67f735a6 in base::Thread::Run(base::RunLoop*) () at ./../../3rdparty/chromium/base/threading/thread.cc:242
#10 0x00007f4e67f735a6 in base::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/threading/thread.cc:312
#11 0x00007f4e67fab1e5 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#12 0x00007f4e736d2569 in start_thread (arg=0x7f4dfa7fc700) at pthread_create.c:465
#13 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f4dfaffd700 (LWP 130585)):
#0  0x00007f4e736d8bdb in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f4dfaffc8c0, expected=0, futex_word=0x7f4dfaffca88) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f4e736d8bdb in __pthread_cond_wait_common (abstime=0x7f4dfaffc960, mutex=0x7f4dfaffca38, cond=0x7f4dfaffca60) at pthread_cond_wait.c:533
#2  0x00007f4e736d8bdb in __pthread_cond_timedwait (cond=0x7f4dfaffca60, mutex=0x7f4dfaffca38, abstime=0x7f4dfaffc960) at pthread_cond_wait.c:667
#3  0x00007f4e67fa86a6 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:127
#4  0x00007f4e67fa9038 in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:233
#5  0x00007f4e67fa91b2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:162
#6  0x00007f4e67f64c81 in base::internal::WorkerThread::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task/thread_pool/worker_thread.cc:35
#7  0x00007f4e67f69259 in base::internal::WorkerThread::RunWorker() () at ./../../3rdparty/chromium/base/task/thread_pool/worker_thread.cc:317
#8  0x00007f4e67f69554 in base::internal::WorkerThread::RunPooledWorker() () at ./../../3rdparty/chromium/base/task/thread_pool/worker_thread.cc:223
#9  0x00007f4e67fab1e5 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#10 0x00007f4e736d2569 in start_thread (arg=0x7f4dfaffd700) at pthread_create.c:465
#11 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f4dfb7fe700 (LWP 130584)):
#0  0x00007f4e736d88ad in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x562add6edb0c) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4e736d88ad in __pthread_cond_wait_common (abstime=0x0, mutex=0x562add6eda48, cond=0x562add6edae0) at pthread_cond_wait.c:502
#2  0x00007f4e736d88ad in __pthread_cond_wait (cond=0x562add6edae0, mutex=0x562add6eda48) at pthread_cond_wait.c:655
#3  0x00007f4e67fa85ba in base::ConditionVariable::Wait() () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:75
#4  0x00007f4e68d607f8 in cc::SingleThreadTaskGraphRunner::Run() () at ./../../3rdparty/chromium/cc/raster/single_thread_task_graph_runner.cc:123
#5  0x00007f4e67fab1e5 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#6  0x00007f4e736d2569 in start_thread (arg=0x7f4dfb7fe700) at pthread_create.c:465
#7  0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f4e15ffb700 (LWP 130580)):
#0  0x00007f4e736d8bdb in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f4e15ffa8c0, expected=0, futex_word=0x7f4e15ffaa88) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f4e736d8bdb in __pthread_cond_wait_common (abstime=0x7f4e15ffa960, mutex=0x7f4e15ffaa38, cond=0x7f4e15ffaa60) at pthread_cond_wait.c:533
#2  0x00007f4e736d8bdb in __pthread_cond_timedwait (cond=0x7f4e15ffaa60, mutex=0x7f4e15ffaa38, abstime=0x7f4e15ffa960) at pthread_cond_wait.c:667
#3  0x00007f4e67fa86a6 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:127
#4  0x00007f4e67fa9038 in base::WaitableEvent::TimedWaitUntil(base::TimeTicks const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:233
#5  0x00007f4e67fa91b2 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:162
#6  0x00007f4e67f64c81 in base::internal::WorkerThread::Delegate::WaitForWork(base::WaitableEvent*) () at ./../../3rdparty/chromium/base/task/thread_pool/worker_thread.cc:35
#7  0x00007f4e67f69259 in base::internal::WorkerThread::RunWorker() () at ./../../3rdparty/chromium/base/task/thread_pool/worker_thread.cc:317
#8  0x00007f4e67f69554 in base::internal::WorkerThread::RunPooledWorker() () at ./../../3rdparty/chromium/base/task/thread_pool/worker_thread.cc:223
#9  0x00007f4e67fab1e5 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#10 0x00007f4e736d2569 in start_thread (arg=0x7f4e15ffb700) at pthread_create.c:465
#11 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f4e167fc700 (LWP 130579)):
#0  0x00007f4e7e010b5c in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007f4e7e0128b4 in ___fprintf_chk (fp=0x7f4e7e2c1870 <_IO_stdfile_2_lock>, flag=flag@entry=1, format=format@entry=0x7f4e5db87d08 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f4e5db6fffd in fprintf (__fmt=0x7f4e5db87d08 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:97
#3  0x00007f4e5db6fffd in event_log (msg=0x7f4e167fb3e0 "epoll_wait: Bad file descriptor", severity=2) at log.c:251
#4  0x00007f4e5db6fffd in event_logv_ (severity=severity@entry=2, errstr=0x7f4e7e089316 "Bad file descriptor", fmt=fmt@entry=0x7f4e5db87e79 "epoll_wait", ap=ap@entry=0x7f4e167fb810) at log.c:216
#5  0x00007f4e5db70194 in event_warn (fmt=fmt@entry=0x7f4e5db87e79 "epoll_wait") at log.c:127
#6  0x00007f4e5db71abc in epoll_dispatch (base=0x7f4e08001d00, tv=<optimized out>) at epoll.c:468
#7  0x00007f4e5db67764 in event_base_loop (base=0x7f4e08001d00, flags=2) at event.c:1947
#8  0x00007f4e67faffeb in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at ./../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:213
#9  0x00007f4e67f53e49 in base::sequence_manager::internal::ThreadControllerWithMessagePumpImpl::Run(bool, base::TimeDelta) () at ./../../3rdparty/chromium/base/task/sequence_manager/thread_controller_with_message_pump_impl.cc:463
#10 0x00007f4e67f33a38 in base::RunLoop::RunWithTimeout(base::TimeDelta) () at ./../../3rdparty/chromium/base/run_loop.cc:157
#11 0x00007f4e673b41b4 in content::BrowserProcessSubThread::IOThreadRun(base::RunLoop*) () at ../../3rdparty/chromium/content/browser/browser_process_sub_thread.cc:158
#12 0x00007f4e67f736a8 in base::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/threading/thread.cc:312
#13 0x00007f4e67fab1e5 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#14 0x00007f4e736d2569 in start_thread (arg=0x7f4e167fc700) at pthread_create.c:465
#15 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f4e177fe700 (LWP 130577)):
#0  0x00007f4e7e010b89 in __lll_unlock_wake_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:341
#1  0x00007f4e7e01294c in _IO_acquire_lock_clear_flags2_fct (p=<synthetic pointer>) at ../libio/libioP.h:874
#2  0x00007f4e7e01294c in ___fprintf_chk (fp=0x7f4e7e2c0640 <_IO_2_1_stderr_>, flag=flag@entry=1, format=format@entry=0x7f4e5db87d08 "[%s] %s\n") at fprintf_chk.c:30
#3  0x00007f4e5db6fffd in fprintf (__fmt=0x7f4e5db87d08 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:97
#4  0x00007f4e5db6fffd in event_log (msg=0x7f4e177fd3e0 "epoll_wait: Bad file descriptor", severity=2) at log.c:251
#5  0x00007f4e5db6fffd in event_logv_ (severity=severity@entry=2, errstr=0x7f4e7e089316 "Bad file descriptor", fmt=fmt@entry=0x7f4e5db87e79 "epoll_wait", ap=ap@entry=0x7f4e177fd810) at log.c:216
#6  0x00007f4e5db70194 in event_warn (fmt=fmt@entry=0x7f4e5db87e79 "epoll_wait") at log.c:127
#7  0x00007f4e5db71abc in epoll_dispatch (base=0x7f4e04001d40, tv=<optimized out>) at epoll.c:468
#8  0x00007f4e5db67764 in event_base_loop (base=0x7f4e04001d40, flags=1) at event.c:1947
#9  0x00007f4e67fb00c6 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at ./../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:242
#10 0x00007f4e67f53e49 in base::sequence_manager::internal::ThreadControllerWithMessagePumpImpl::Run(bool, base::TimeDelta) () at ./../../3rdparty/chromium/base/task/sequence_manager/thread_controller_with_message_pump_impl.cc:463
#11 0x00007f4e67f33a38 in base::RunLoop::RunWithTimeout(base::TimeDelta) () at ./../../3rdparty/chromium/base/run_loop.cc:157
#12 0x00007f4e67f64914 in base::internal::ServiceThread::Run(base::RunLoop*) () at ./../../3rdparty/chromium/base/task/thread_pool/service_thread.cc:62
#13 0x00007f4e67f736a8 in base::Thread::ThreadMain() () at ./../../3rdparty/chromium/base/threading/thread.cc:312
#14 0x00007f4e67fab1e5 in ThreadFunc() () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#15 0x00007f4e736d2569 in start_thread (arg=0x7f4e177fe700) at pthread_create.c:465
#16 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f4e1f16d700 (LWP 130547)):
#0  0x00007f4e7dff4c98 in __GI___libc_read (fd=38, buf=buf@entry=0x7f4e1f16c990, nbytes=nbytes@entry=16) at ../sysdeps/unix/sysv/linux/read.c:26
#1  0x00007f4e71346c80 in read (__nbytes=16, __buf=0x7f4e1f16c990, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#2  0x00007f4e71346c80 in g_wakeup_acknowledge (wakeup=0x7f4e2c003970) at gwakeup.c:210
#3  0x00007f4e71301cb8 in g_main_context_check (context=context@entry=0x7f4e18000bd0, max_priority=2147483647, fds=fds@entry=0x7f4e18004a30, n_fds=n_fds@entry=1) at gmain.c:3646
#4  0x00007f4e71302150 in g_main_context_iterate (context=context@entry=0x7f4e18000bd0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3865
#5  0x00007f4e713022bc in g_main_context_iteration (context=0x7f4e18000bd0, may_block=may_block@entry=1) at gmain.c:3929
#6  0x00007f4e7e95ba3b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4e18000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007f4e7e8fb03a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4e1f16cbb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#8  0x00007f4e7e70c467 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#9  0x00007f4e7e70d93c in QThreadPrivate::start(void*) (arg=0x562adea00170) at thread/qthread_unix.cpp:342
#10 0x00007f4e736d2569 in start_thread (arg=0x7f4e1f16d700) at pthread_create.c:465
#11 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f4e41d90700 (LWP 130483)):
#0  0x00007f4e7dff4c98 in __GI___libc_read (fd=26, buf=buf@entry=0x7f4e41d8f990, nbytes=nbytes@entry=16) at ../sysdeps/unix/sysv/linux/read.c:26
#1  0x00007f4e71346c80 in read (__nbytes=16, __buf=0x7f4e41d8f990, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#2  0x00007f4e71346c80 in g_wakeup_acknowledge (wakeup=0x7f4e38003d80) at gwakeup.c:210
#3  0x00007f4e71301cb8 in g_main_context_check (context=context@entry=0x7f4e2c000bd0, max_priority=2147483647, fds=fds@entry=0x7f4e3c0184b0, n_fds=n_fds@entry=1) at gmain.c:3646
#4  0x00007f4e71302150 in g_main_context_iterate (context=context@entry=0x7f4e2c000bd0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3865
#5  0x00007f4e713022bc in g_main_context_iteration (context=0x7f4e2c000bd0, may_block=may_block@entry=1) at gmain.c:3929
#6  0x00007f4e7e95ba3b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4e2c000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007f4e7e8fb03a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4e41d8fbb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#8  0x00007f4e7e70c467 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#9  0x00007f4e7e70d93c in QThreadPrivate::start(void*) (arg=0x562add8e58c0) at thread/qthread_unix.cpp:342
#10 0x00007f4e736d2569 in start_thread (arg=0x7f4e41d90700) at pthread_create.c:465
#11 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f4e42591700 (LWP 130478)):
#0  0x00007f4e7dff4c98 in __GI___libc_read (fd=24, buf=buf@entry=0x7f4e42590990, nbytes=nbytes@entry=16) at ../sysdeps/unix/sysv/linux/read.c:26
#1  0x00007f4e71346c80 in read (__nbytes=16, __buf=0x7f4e42590990, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#2  0x00007f4e71346c80 in g_wakeup_acknowledge (wakeup=0x7f4e34003590) at gwakeup.c:210
#3  0x00007f4e71301cb8 in g_main_context_check (context=context@entry=0x7f4e38000bd0, max_priority=2147483647, fds=fds@entry=0x7f4e38004e30, n_fds=n_fds@entry=1) at gmain.c:3646
#4  0x00007f4e71302150 in g_main_context_iterate (context=context@entry=0x7f4e38000bd0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3865
#5  0x00007f4e713022bc in g_main_context_iteration (context=0x7f4e38000bd0, may_block=may_block@entry=1) at gmain.c:3929
#6  0x00007f4e7e95ba3b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4e38000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007f4e7e8fb03a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4e42590bb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#8  0x00007f4e7e70c467 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#9  0x00007f4e7e70d93c in QThreadPrivate::start(void*) (arg=0x562add8ccb40) at thread/qthread_unix.cpp:342
#10 0x00007f4e736d2569 in start_thread (arg=0x7f4e42591700) at pthread_create.c:465
#11 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f4e4341e700 (LWP 130476)):
#0  0x00007f4e7dff4c98 in __GI___libc_read (fd=22, buf=buf@entry=0x7f4e4341d990, nbytes=nbytes@entry=16) at ../sysdeps/unix/sysv/linux/read.c:26
#1  0x00007f4e71346c80 in read (__nbytes=16, __buf=0x7f4e4341d990, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#2  0x00007f4e71346c80 in g_wakeup_acknowledge (wakeup=0x7f4e3c0039a0) at gwakeup.c:210
#3  0x00007f4e71301cb8 in g_main_context_check (context=context@entry=0x7f4e34000bd0, max_priority=2147483647, fds=fds@entry=0x7f4e34004a30, n_fds=n_fds@entry=1) at gmain.c:3646
#4  0x00007f4e71302150 in g_main_context_iterate (context=context@entry=0x7f4e34000bd0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3865
#5  0x00007f4e713022bc in g_main_context_iteration (context=0x7f4e34000bd0, may_block=may_block@entry=1) at gmain.c:3929
#6  0x00007f4e7e95ba3b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4e34000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007f4e7e8fb03a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4e4341dbb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#8  0x00007f4e7e70c467 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#9  0x00007f4e7e70d93c in QThreadPrivate::start(void*) (arg=0x562add8abed0) at thread/qthread_unix.cpp:342
#10 0x00007f4e736d2569 in start_thread (arg=0x7f4e4341e700) at pthread_create.c:465
#11 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f4e4462f700 (LWP 130471)):
#0  0x00007f4e71347fb0 in g_mutex_lock (mutex=mutex@entry=0x7f4e3c000bd0) at gthread-posix.c:1336
#1  0x00007f4e71301902 in g_main_context_query (context=context@entry=0x7f4e3c000bd0, max_priority=2147483647, timeout=timeout@entry=0x7f4e4462ea44, fds=fds@entry=0x7f4e3c03a2f0, n_fds=n_fds@entry=8) at gmain.c:3545
#2  0x00007f4e71302127 in g_main_context_iterate (context=context@entry=0x7f4e3c000bd0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3850
#3  0x00007f4e713022bc in g_main_context_iteration (context=0x7f4e3c000bd0, may_block=may_block@entry=1) at gmain.c:3929
#4  0x00007f4e7e95ba3b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4e3c000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f4e7e8fb03a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4e4462eb80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007f4e7e70c467 in QThread::exec() (this=this@entry=0x7f4e7d1cbda0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:536
#7  0x00007f4e7cf54115 in QDBusConnectionManager::run() (this=0x7f4e7d1cbda0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007f4e7e70d93c in QThreadPrivate::start(void*) (arg=0x7f4e7d1cbda0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:342
#9  0x00007f4e736d2569 in start_thread (arg=0x7f4e4462f700) at pthread_create.c:465
#10 0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f4e4d6b0700 (LWP 130460)):
#0  0x00007f4e7dff919b in __GI___poll (fds=0x7f4e4d6afab8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f4e70729307 in  () at /usr/lib64/libxcb.so.1
#2  0x00007f4e7072af3a in xcb_wait_for_event () at /usr/lib64/libxcb.so.1
#3  0x00007f4e4fc12fe0 in QXcbEventQueue::run() (this=0x562add375000) at qxcbeventqueue.cpp:228
#4  0x00007f4e7e70d93c in QThreadPrivate::start(void*) (arg=0x562add375000) at thread/qthread_unix.cpp:342
#5  0x00007f4e736d2569 in start_thread (arg=0x7f4e4d6b0700) at pthread_create.c:465
#6  0x00007f4e7e0039ef in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f4e810fca00 (LWP 130450)):
[KCrash Handler]
#7  0x00007f4e7df41160 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#8  0x00007f4e7df42741 in __GI_abort () at abort.c:79
#9  0x00007f4e7e358e83 in __gnu_cxx::__verbose_terminate_handler() () at ../../../../libstdc++-v3/libsupc++/vterminate.cc:95
#10 0x00007f4e7e35edd8 in __cxxabiv1::__terminate(void (*)()) (handler=<optimized out>) at ../../../../libstdc++-v3/libsupc++/eh_terminate.cc:47
#11 0x00007f4e7e35ee23 in std::terminate() () at ../../../../libstdc++-v3/libsupc++/eh_terminate.cc:57
#12 0x00007f4e7e35f053 in __cxxabiv1::__cxa_throw(void*, std::type_info*, void (*)(void*)) (obj=obj@entry=0x562adfc36cd0, tinfo=0x7f4e78e99b68 <typeinfo for Xapian::DatabaseModifiedError>, tinfo@entry=0x7f4e63fbff38 <typeinfo for Xapian::DatabaseModifiedError>, dest=dest@entry=0x7f4e63c5a250 <Xapian::DatabaseModifiedError::~DatabaseModifiedError()>) at ../../../../libstdc++-v3/libsupc++/eh_throw.cc:95
#13 0x00007f4e63cc1a9e in GlassTable::set_overwritten() const (this=this@entry=0x562af0732710) at backends/glass/glass_table.cc:297
#14 0x00007f4e63cc3838 in GlassTable::block_to_cursor(Glass::Cursor*, int, unsigned int) const (this=this@entry=0x562af0732710, C_=C_@entry=0x562af061e758, j=j@entry=0, n=1775) at backends/glass/glass_table.cc:337
#15 0x00007f4e63cc63ea in GlassTable::find(Glass::Cursor*) const (this=0x562af0732710, C_=0x562af061e758) at backends/glass/glass_table.cc:545
#16 0x00007f4e63c99bcc in GlassCursor::find_entry(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&) (this=this@entry=0x562af073d780, key=...) at backends/glass/glass_cursor.cc:161
#17 0x00007f4e63cb6cfe in GlassPostList::move_to_chunk_containing(unsigned int) (this=this@entry=0x562aefb19760, desired_did=desired_did@entry=105176532) at backends/glass/glass_postlist.cc:873
#18 0x00007f4e63cb7501 in GlassPostList::jump_to(unsigned int) (this=0x562aefb19760, desired_did=105176532) at backends/glass/glass_postlist.cc:996
#19 0x00007f4e63cb9cde in GlassPostListTable::get_doclength(unsigned int, Xapian::Internal::intrusive_ptr<GlassDatabase const>) const (this=0x562af0732710, did=105176532, db=...) at backends/glass/glass_postlist.cc:64
#20 0x00007f4e63c9cb70 in GlassDatabase::get_doclength(unsigned int) const (this=<optimized out>, did=<optimized out>) at backends/glass/glass_database.cc:733
#21 0x00007f4e63d26aa2 in SynonymPostList::get_weight() const (this=0x562af0739760) at matcher/synonympostlist.cc:88
#22 0x00007f4e63d1678c in MultiMatch::get_mset(unsigned int, unsigned int, unsigned int, Xapian::MSet&, Xapian::Weight::Internal&, Xapian::MatchDecider const*, Xapian::KeyMaker const*) (this=this@entry=0x7ffeb8e95850, first=first@entry=0, maxitems=maxitems@entry=20, check_at_least=check_at_least@entry=20, mset=..., stats=..., mdecider=0x0, sorter=0x0) at matcher/multimatch.cc:598
#23 0x00007f4e63c10a36 in Xapian::Enquire::Internal::get_mset(unsigned int, unsigned int, unsigned int, Xapian::RSet const*, Xapian::MatchDecider const*) const (this=0x562adf838ed0, first=<optimized out>, maxitems=20, check_at_least=<optimized out>, rset=0x0, mdecider=0x0) at api/omenquire.cc:580
#24 0x00007f4e63c10da4 in Xapian::Enquire::get_mset(unsigned int, unsigned int, unsigned int, Xapian::RSet const*, Xapian::MatchDecider const*) const (this=<optimized out>, first=<optimized out>, maxitems=<optimized out>, check_at_least=<optimized out>, rset=<optimized out>, mdecider=0x0) at api/omenquire.cc:940
#25 0x00007f4e78c8fb32 in Akonadi::Search::PIM::ContactCompleter::complete() () at /usr/lib64/libKF5AkonadiSearchPIM.so.5
#26 0x00007f4e78eda45f in KPIM::AddresseeLineEditPrivate::searchInBaloo() (this=this@entry=0x562ade786a90) at /usr/src/debug/libkdepim-19.12.1-lp151.138.1.x86_64/src/libkdepimakonadi/addressline/addresslineedit/addresseelineedit_p.cpp:175
#27 0x00007f4e78eda5c0 in KPIM::AddresseeLineEditPrivate::slotTriggerDelayedQueries() (this=0x562ade786a90) at /usr/src/debug/libkdepim-19.12.1-lp151.138.1.x86_64/src/libkdepimakonadi/addressline/addresslineedit/addresseelineedit_p.cpp:397
#28 0x00007f4e7e9379e7 in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffeb8e95cf0, r=0x562ade786a90, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
#29 0x00007f4e7e9379e7 in doActivate<false>(QObject*, int, void**) (sender=0x562ade73b5f0, signal_index=3, argv=0x7ffeb8e95cf0) at kernel/qobject.cpp:3870
#30 0x00007f4e7e9322a2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x562ade73b5f0, m=m@entry=0x7f4e7edb7d00 <QTimer::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffeb8e95cf0) at kernel/qobject.cpp:3930
#31 0x00007f4e7e93b5a7 in QTimer::timeout(QTimer::QPrivateSignal) (this=this@entry=0x562ade73b5f0, _t1=...) at .moc/moc_qtimer.cpp:205
#32 0x00007f4e7e93b908 in QTimer::timerEvent(QTimerEvent*) (this=0x562ade73b5f0, e=<optimized out>) at kernel/qtimer.cpp:257
#33 0x00007f4e7e92f7f3 in QObject::event(QEvent*) (this=0x562ade73b5f0, e=0x7ffeb8e96050) at kernel/qobject.cpp:1361
#34 0x00007f4e7f801bac in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x562add36f760, receiver=receiver@entry=0x562ade73b5f0, e=e@entry=0x7ffeb8e96050) at kernel/qapplication.cpp:3693
#35 0x00007f4e7f809180 in QApplication::notify(QObject*, QEvent*) (this=0x7ffeb8e967c0, receiver=0x562ade73b5f0, e=0x7ffeb8e96050) at kernel/qapplication.cpp:3439
#36 0x00007f4e7e8fc7b8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x562ade73b5f0, event=0x7ffeb8e96050) at kernel/qcoreapplication.cpp:1092
#37 0x00007f4e7e95aea9 in QTimerInfoList::activateTimers() (this=0x562add3cd3d0) at kernel/qtimerinfo_unix.cpp:643
#38 0x00007f4e7e95b671 in timerSourceDispatch(GSource*, GSourceFunc, gpointer) (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:183
#39 0x00007f4e71301e87 in g_main_dispatch (context=0x7f4e48004fd0) at gmain.c:3142
#40 0x00007f4e71301e87 in g_main_context_dispatch (context=context@entry=0x7f4e48004fd0) at gmain.c:3795
#41 0x00007f4e71302230 in g_main_context_iterate (context=context@entry=0x7f4e48004fd0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3868
#42 0x00007f4e713022bc in g_main_context_iteration (context=0x7f4e48004fd0, may_block=may_block@entry=1) at gmain.c:3929
#43 0x00007f4e7e95ba1c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x562add3d9e40, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#44 0x00007f4e7e8fb03a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffeb8e962a0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#45 0x00007f4e7e9047b0 in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1400
#46 0x0000562adc0e0a5b in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kmail-19.12.1-lp151.133.1.x86_64/src/main.cpp:163
[Inferior 1 (process 130450) detached]

Possible duplicates by query: bug 415300, bug 414988, bug 414974, bug 414938, bug 414896.

Reported using DrKonqi
Comment 1 Aaron Williams 2020-01-15 12:18:40 UTC
Note that I deleted all of the recent entries in the composer settings page and it still crashes. I do not know where this database is stored for completion. I grepped for a name under .local/share/ and under .cache and /tmp and /var/tmp but I could not find the database. Note that I also have seen this same crash on another computer. It started up in the past few months. I also have a LOT of emails, going back over two decades.
Comment 2 Wolfgang Bauer 2020-01-25 15:24:18 UTC
(In reply to Aaron Williams from comment #1)
> Note that I deleted all of the recent entries in the composer settings page
> and it still crashes. I do not know where this database is stored for
> completion.

Try to delete ~/.local/share/akonadi/searchdb/, or if that doesn't exist all subfolders in ~/.local/share/baloo/ except "file" (which contains the file index).
Comment 3 Wolfgang Bauer 2020-01-25 15:25:06 UTC
(In reply to Wolfgang Bauer from comment #2)
> Try to delete ~/.local/share/akonadi/searchdb/

Sorry, typo.
The folder is named search_db (with a _ ).
Comment 4 Aaron Williams 2020-01-25 23:27:19 UTC
I deleted the search_db folder and that appears to have solved it. My guess is something in it caused the internal data structures used by KMail to become corrupted and crash. I was at my wit's end with this and resorted to copy/pasting email addresses. Hopefully, this doesn't return.
Comment 5 Justin Zobel 2022-10-03 10:36:21 UTC
Thank you for reporting this crash in KDE software. As it has been a while since this issue was reported, can we please ask you to see if you can reproduce the crash with a recent software version?

If you can reproduce the issue, please change the status to "CONFIRMED" when replying. Thank you!
Comment 6 Bug Janitor Service 2022-10-18 04:58:02 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 7 Bug Janitor Service 2022-11-02 05:06:15 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!